Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jnlp
Interface SingleInstanceListener

    public interface SingleInstanceListener

`SingleInstanceListener` is a interface which should be implemented by a JNLP application if they wish to support single instance behaviour.

Since:
  1.5

Method Summary
`void` | `newActivation(java.lang.String[] params)` This method should be implemented by the application to handle the single instance behaviour - how should the application handle the arguments when another instance of the application is invoked with params.

Method Detail

### newActivation

    void newActivation(java.lang.String[] params)

  This method should be implemented by the application to handle the single instance behaviour - how should the application handle the arguments when another instance of the application is invoked with params.

  Parameters:
    `params` - Array of parameters for the application main (arguments supplied in the jnlp file)

Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 Sun Microsystems, Inc. All Rights Reserved